> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Variables



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/variables
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/variables:
    get:
      tags:
        - variables
      summary: List User Variables
      operationId: list_user_variables_api_v1_variables_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVariablesSchema'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ListVariablesSchema:
      properties:
        variables:
          additionalProperties:
            type: string
          type: object
          title: Variables
      type: object
      required:
        - variables
      title: ListVariablesSchema
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````